%%%
%%%

Xcol = 2;
Ycol = 2;
MS = 3;

%%%
%%%

OFFSET = 500;
OBS = 120;

NUM = 5;
NUMp = 3;

xmin = 0.8;
xmax = 5;
%
  XX = 1:NUM;
  XX = XX';
%
  Exp_mean = [65.79, 75.43, 65.36, 69.75, 71.69];
  Exp_sem  = [8.64, 8.94, 5.46, 7.81, 3.19];
%

%%
%%  Load data
%%

%
   MEAN_cond = zeros(NUM,1);
   SD_cond   = zeros(NUM,1);
%
  for i = 1:NUM;
   tmp2 = zeros(1, NUMp);
   for j = 1:NUMp;
%
     data = load(sprintf(...
       './../DATA_BURST/POST1_PRE5/%g_%g/Trapped_AMPAR.Co19', i-1, j-1));
     data(:,1) = (data(:,1) - OFFSET);
     k = 1;
     while (data(k,1) <-1); k = k + 1; end; tmp = data(k,2);
     while (data(k,1) < OBS); k = k + 1; end;
     tmp2(1,j) = data(k,2)/tmp*100;
%
   end;
   MEAN_cond(i,1) = mean(tmp2);
   SD_cond(i,1)   = std(tmp2)/(NUMp - 1);
  end;
%
  fprintf('Maximum SEM: %g\n' ,max(SD_cond));
%

%%
%%  Create graph
%%

  subplot(Ycol,Xcol,1);
  box off;
  set (gca, 'TickDir', 'out');
  xlabel('Number of presynaptic spikes');
  ylabel('Conductance (%ctl)');
  axis([xmin, xmax, 0, 150]);
  set(gca,'XTick',[1, 2, 3, 4, 5]);
  hold on;
   plot([xmin xmax], [100 100],'k:');
  hold off;

%
  hold on;
%
   for j = 1:NUMp;
     plot([XX(j), XX(j)], [Exp_mean(j)-Exp_sem(j), Exp_mean(j)+Exp_sem(j)],...
       'k-','LineWidth',0.5);
   end;
%
   plot(XX, Exp_mean,'o-',...
       'MarkerSize',4,...
       'Color','k',...
       'MarkerEdgeColor','k',...
       'MarkerFaceColor','w');
%
   for j = 1:NUMp;
     plot([XX(j), XX(j)], [MEAN_cond(j)-SD_cond(j), MEAN_cond(j)-SD_cond(j)],...
       '-','Color','k','LineWidth',0.5);
   end;
%
   plot(XX, MEAN_cond,'o-',...
       'MarkerSize',4,...
       'Color','k',...
       'MarkerEdgeColor','k',...
       'MarkerFaceColor','k');
%
hold off;
%
