%%%
%%%

Xcol = 2;
Ycol = 2;
MS = 3;

%%%
%%%

OFFSET = 500;
OBS = 120;
NUM = 5;
NUMp = 3;
xmin = 0.8;
xmax = 5;
%
  XX = 1:NUM;
  XX = XX';
%
  Exp_mean = [170.25, 161.62, 131.87, 120.08, 109.50];
  Exp_sem  = [17.28, 15.23, 7.95, 1.60, 1.59];
%


%%
%%  Load data
%%

%
   MEAN_cond = zeros(NUM,1);
   SD_cond   = zeros(NUM,1);
%
  for i = 1:NUM;
%
   tmp2 = zeros(1, NUMp);
%
   for j = 1:NUMp;
%
     data = load(sprintf(...
       './../DATA_BURST/PRE5_POST1/%g_%g/Trapped_AMPAR.Co19', i-1, j-1));
     data(:,1) = (data(:,1) - OFFSET);
     k = 1;
     while (data(k,1) < -1); k = k + 1; end; tmp = data(k,2);
     while (data(k,1) < OBS); k = k + 1; end;
     tmp2(1,j) = data(k,2)/tmp*100;
%
   end;
%
   MEAN_cond(i,1) = mean(tmp2);
   SD_cond(i,1)   = std(tmp2)/(NUMp - 1);
%
  end;
%
  fprintf('Maximum SEM: %g\n' ,max(SD_cond));

%%
%%  Create graph
%%

  subplot(Ycol,Xcol,1);
  box off;
  set (gca, 'TickDir', 'out');
  xlabel('Number of presynaptic spikes');
  ylabel('Conductance (%ctl)');
  axis([xmin, xmax, 80, 200]);
  set(gca,'XTick',[1, 2, 3, 4, 5]);
  hold on;
   plot([xmin xmax], [100 100],'k:');
  hold off;

%
hold on;
%
  plot([XX, XX]', [Exp_mean-Exp_sem; Exp_mean+Exp_sem],...
       'k-','LineWidth',0.5);
%
  plot(XX, Exp_mean,'o-',...
       'MarkerSize',4,...
       'Color','k',...
       'MarkerEdgeColor','k',...
       'MarkerFaceColor','w');
%
  plot([XX, XX]', [MEAN_cond+SD_cond,MEAN_cond-SD_cond]',...
       '-','Color','k','LineWidth',0.5);
%
  plot(XX, MEAN_cond,'o-',...
       'MarkerSize',4,...
       'Color','k',...
       'MarkerEdgeColor','k',...
       'MarkerFaceColor','k');
%
hold off;
%
