%
%
%
%%%
%%%

Xcol = 2;
Ycol = 2;
MS = 3;

%%%
%%%

OFFSET = 500;
OBS = 120;
NUM = 5;
xmin = 0.8;
xmax = 5;
%
  XX = 1:NUM;
  XX = XX';
%
  Exp_mean = [65.79, 78.75, 88.77, 103.95, 123.39];
  Exp_sem  = [8.64, 9.49, 10.68, 6.40, 6.53];
%



%%
%%  Load data
%%

%
   MEAN_cond = zeros(NUM,1);
%
  for i = 1:NUM;
%
     data = load(sprintf(...
       './../DATA_BURST/PostPrePost4/%g/Trapped_AMPAR.Co19', i-1));
     data(:,1) = (data(:,1) - OFFSET);
     k = 1;
     while (data(k,1) <-10); k = k + 1; end; tmp = data(k,2);
     while (data(k,1) < OBS); k = k + 1; end;
     MEAN_cond(i,1) = data(k,2)/tmp*100;
%
  end;
%

%%
%%  Create graph
%%

  subplot(Ycol,Xcol,1);
  box off;
  set (gca, 'TickDir', 'out');
  xlabel('Number of presynaptic spikes');
  ylabel('Conductance (%ctl)');
  axis([xmin, xmax, 0, 150]);
  set(gca,'XTick',[1, 2, 3, 4, 5]);
  hold on;
   plot([xmin xmax], [100 100],'k:');
  hold off;

%

%
hold on;
%
  plot([XX, XX]', [Exp_mean-Exp_sem; Exp_mean+Exp_sem],...
       'k-','LineWidth',0.5);
%
  plot(XX, Exp_mean,'o-',...
       'MarkerSize',4,...
       'Color','k',...
       'MarkerEdgeColor','k',...
       'MarkerFaceColor','w');
%
  plot(XX, MEAN_cond,'o-',...
       'MarkerSize',4,...
       'Color','k',...
       'MarkerEdgeColor','k',...
       'MarkerFaceColor','k');
%
hold off;
%
