%
%
%
GRAY = [0.4, 0.4, 0.4];
%
Timing = [-256,-128,-64,-32,-16,-8,-4,-2,-1,...
          1, 2, 4, 8, 16, 32,64,128,256];
%
DIR = './../DATA_STDP/';
NUM = length(Timing);
Obs1 = 2;
AMPARMID = zeros(1,NUM);
AMPAREND = zeros(1,NUM);
%
ONSET = 500;
TMIN =  -5;
TMAX =  20;
TIMING_WINDOW = 200;
TIMING_WINDOW2 = 128;
%
clmap = zeros(0,0);
for i = 1:NUM/2;
 clmap = [[0.5+i/NUM 0 0];clmap];
end;
for i = NUM/2:-1:1;
 clmap = [[0 0 0.5+i/NUM];clmap];
end;
%
%
subplot(2,3,1);
hold on;
plot3([Obs1 Obs1],[-TIMING_WINDOW2 TIMING_WINDOW2], [0 0],'k--');
plot3([TMAX TMAX],[-TIMING_WINDOW2 TIMING_WINDOW2], [0 0],'k--');
hold off;
%
%%%
X = TMIN:(TMAX-TMIN)/100:TMAX;
xlen = length(X);
%%%
 for i = 1:NUM;
%%%
  data = load(sprintf('%s%g/Trapped_AMPAR.Co19',DIR, i-1));
  data(:,1) = (data(:,1)-ONSET)/60;
  Y = interp1(data(:,1), data(:,2), X,'cubic');
%
  j = 1;
  while (X(j) < 0); j = j + 1; end;
  Yzero = Y(j);
%
 if  (i~= 1) && (i~= NUM);
   subplot(2,3,1);
   hold on;
    plot3(X,ones(xlen,1)*Timing(i),100*Y./Yzero,'-', 'Color', clmap(i,:));
   hold off;
 end;
%
  j = 1;
  while (X(j) < Obs1); j = j + 1; end;
  AMPARMID(i) = Y(j)/Yzero;
  AMPAREND(i) = data(end,2)/Yzero;
%%%
 end;
%%%

subplot(2,3,4);
 hold on;
   plot(Timing, 100*AMPAREND,'o-', 'Color', GRAY...
	 ,'MarkerFaceColor', GRAY, 'MarkerSize', 3);

   plot(Timing, 100*AMPARMID,'k-');

   for i = 1:NUM;
    plot(Timing(i), 100*AMPARMID(i),'o', 'Color', clmap(i,:)...
	 ,'MarkerFaceColor', clmap(i,:), 'MarkerSize', 3);
   end;

 hold off;

%%
subplot(2,3,1);
axis square;
grid on;
box off;
set (gca, 'TickDir', 'out');
set (gca, 'YDir', 'reverse');
xlabel('Time (min)');
ylabel('T_{post} - T_{pre} (ms)');
zlabel('Conductance (%ctl)');
axis([TMIN, TMAX, -TIMING_WINDOW2, TIMING_WINDOW2, 0, 200]);
set(gca,'YTick',[-200, -100, 0, 100, 200]);
%%
%%
subplot(2,3,4);
axis square;
box off;
set (gca, 'TickDir', 'out');
xlabel('T_{post} - T_{pre} (ms)');
ylabel('Conductance (%ctl)');
axis([-TIMING_WINDOW, TIMING_WINDOW, 0, 200]);
set(gca,'XTick',[-200, -100, 0, 100, 200]);
tmp1 = get(gca,'Position');
%%
%%

