%
% Graphs
%
addpath ('./matlab_subroutine',-0)
Xcol = 2;
Ycol = 3;
TMIN = 0;
TMAX = 100;
YMAX = 200;
PSIZE = 3;
TF = 12;
%
PCOL = [0.4,0.4,0.4];
%
MP = [-115, -105, -95, -85, -75, -65, -55, -45, -35, -25];
DIR = './../DATA_Volt/';
NUM = length(MP);
%
C0 = zeros(1,NUM);
C1 = zeros(1,NUM);
C2 = zeros(1,NUM);
%
colormap(jet(NUM));
clmap = colormap;
OFFSET = 500;
%
 for i = NUM:-1:1;
%
 data = load(sprintf('%s%g/Trapped_AMPAR.Co19',DIR, i-1));
 data(:,1) = (data(:,1) - OFFSET)./60;
%
 j = 1;
 while (data(j,1) < TMIN);j = j + 1;end;
 C0(1,i) = data(j,2);
 while (data(j,1) < 2);j = j + 1;end;
 C1(1,i) = data(j,2);
% while (data(j,1) < 60);j = j + 1;end;
 C2(1,i) = data(end,2);
%
 end;

%
%
subplot(Xcol,Ycol,1);
set(gca,'ActivePositionProperty','position');
tmp = get(gca,'Position');
set(gca,'Position',[tmp(1) tmp(2) 0.2072 0.3495]);
box off;
set (gca, 'TickDir', 'out');
title('Conductance','Fontsize', TF);
xlabel('Membrane pot (mV)');
ylabel('Conductance (%ctl)');
axis square;
axis([min(MP), max(MP), 0, YMAX]);
set(gca,'XTick',[-105, -85, -65, -45, -25]);
%
hold on;
 plot (MP, C2./C0*100,'o-','Color', PCOL,...
	  'MarkerSize', PSIZE,...
          'MarkerFaceColor', PCOL, ...
          'MarkerEdgeColor', PCOL);
 plot (MP, C1./C0*100,'k-');
 for i = NUM:-1:1;
  plot (MP(i), C1(i)./C0(i)*100,'o','MarkerSize', PSIZE,...
          'MarkerFaceColor', clmap(i,:), ...
          'MarkerEdgeColor', clmap(i,:));
 end;
hold off;


%%
%%
%%
TMIN = -5;
TMAX =  20;
Obs1 = 2;

subplot(Xcol,Ycol,3);
set(gca,'ActivePositionProperty','position');
tmp = get(gca,'Position');
set(gca,'Position',[tmp(1) tmp(2) 0.2072 0.3495]);
  box off;
  set (gca, 'TickDir', 'out');
  axis square;
  title('Conductance','Fontsize', 12);
  xlabel('Time (min)');
  ylabel('Conductance (%ctl)');
  axis([TMIN, TMAX, 0, YMAX]);
  hold on;
  arrow([0 YMAX*0.93],[0 YMAX*0.85],...
    'FaceColor', [0,0,0],'EdgeColor', [0,0,0],'Length',10,'tipangle',10);
  arrow([Obs1 YMAX*0.93],[Obs1 YMAX*0.85],...
    'FaceColor', PCOL,'EdgeColor', PCOL, 'Length',10,'tipangle',10);
  arrow([TMAX YMAX*0.93],[TMAX YMAX*0.85],...
    'FaceColor', PCOL,'EdgeColor', PCOL, 'Length',10,'tipangle',10);
  hold off;

%%
  hold on;
  for i = NUM:-1:1;
   data = load(sprintf('%s%g/Trapped_AMPAR.Co19',DIR, i-1));
   data(:,1) = (data(:,1) - OFFSET)./60;
   plot (data(:,1), data(:,2)/C0(i)*100,'-','Color', clmap(i,:));
  end;
%%
%   data = load(sprintf('%sPOST/Trapped_AMPAR.Co19',DIR));
%   data(:,1) = (data(:,1) - OFFSET)./60;
%   plot (data(:,1), data(:,2)/C0(i)*100,'k-','LineWidth',1);
%%
  hold off;
%%

