
%
% Graphs
%

%%%

addpath ('./matlab_subroutine',-0)
Xcol = 3;
Ycol = 3;
TMIN = -5;
TMAX =  20;
%TMIN = -0.01;
%TMAX =  0.04;


%%%

MP = [-115, -105, -95, -85, -75, -65, -55, -45, -35, -25];
%%MP = [-115, -95, -75, -55, -35,];


NUM = length(MP);
DIR = './../DATA_Volt/';
colormap(jet(NUM));
clmap = colormap;
OFFSET =500;
rev = zeros(0,0);

%%%

G = zeros(1,NUM);
Falt = zeros(1,NUM);
Talt = zeros(1,NUM);

%%%

 TITLE = strvcat('Ca^{2+}',...
                 'CaMKII',...
		 'CaN',...
		 'PKA',...
		 'PP1',...
		 'cAMP');

 YLABEL = strvcat('Free Ca^{2+} (\muM)',...
		  'Active subunit (\muM)',...
		  'Active CaN (\muM)',...
		  'Free catalyst (\muM)',...
		  'Free molecule (\muM)',...
		  'cAMP (\muM)');

 FILENAME = strvcat('Ca.Co12',...
		    'activeCaMKII.Co11',...
		    'activeCaN.Co9',...
		    'activePKA.Co8',...
		    'PP1_active.Co7',...
		    'cAMP.Co13');

 YMAX = [10,50,2,3,0.4,1.5];
 PLACE = [1,2,3,7,8,9];

 NUM2 = length(TITLE(:,1));

%%%

 for i = 1:NUM2;

  subplot(Xcol,Ycol,PLACE(i));
  box off;
  set (gca, 'TickDir', 'out');
  axis square;
  title(deblank(TITLE(i,:)),'Fontsize', 12);
  xlabel('Time (min)');
  ylabel(deblank(YLABEL(i,:)));
  axis([TMIN, TMAX, 0, YMAX(i)]);
  hold on;
  arrow([0 YMAX(i)*0.93],[0 YMAX(i)*0.85],...
    'FaceColor', [0,0,0],'EdgeColor', [0,0,0],'Length',10,'tipangle',10);
  hold off;

 end;
%


%%%

 for i = 1:NUM2;
  for j = NUM:-1:1;
%%%
  data = load(sprintf('%s%g/%s',DIR, j-1, deblank(FILENAME(i,:))));
  data(:,1) = (data(:,1) - OFFSET)./60;
  subplot(Xcol,Ycol,PLACE(i));
  hold on;
  tmp = plot (data(:,1), data(:,2),'-','Color', clmap(j,:));
  if i == 5; rev = [rev;tmp]; end;
  hold off;
%%%
  end;
 end;
%%%

%
% for i = 1:NUM2;
%
%  data = load(sprintf('%sPOST/%s',DIR, deblank(FILENAME(i,:))));
%  data(:,1) = (data(:,1) - OFFSET)./60;
%  subplot(Xcol,Ycol,PLACE(i));
%  hold on;
%   plot (data(:,1), data(:,2),'k-','LineWidth',1);
%  hold off;
%
% end;
%
%
 subplot(Xcol,Ycol,PLACE(i));

 h = legend(rev,'-25 mV','-35 mV', '-45 mV', '-55 mV', '-65 mV',...
           '-75 mV','-85 mV','-95 mV','-105 mV','-115 mV');
 set(h, 'Visible','off');
 set(allchild(h),'visible','on')
 set(h, 'Fontsize', 8);
%
