// genesis

//
// Create A-K channel formulated by
// Poirazi et al., 2003
// in Neuron
//
// Programmed by H Urakubo, 6/2005
//

float offset = 0.001 //in mV
float PI = 3.1415926

function make_A_Kprox
//
        str T = "A_Kprox"
	float Ek =  -90 // in mV

	float tab_divs = 400
	float tab_min = -100 //in mV
	float tab_max =  100  //in mV

	int i
	float v, dv, div, tmp
	float max, tau, alpha, beta
//
	create   tabchannel {T}
	setfield {T} Ek {Ek} Ik 0 Gk 0 Xpower 1 Ypower 1 Zpower 0


//
// m gate
//
	call {T} TABCREATE X {tab_divs} {tab_min} {tab_max}
	v = {tab_min} - {offset}
	dv = ({tab_max} - {tab_min}) / {tab_divs}
	//
	for (i = 0; i <= ({tab_divs}); i = i + 1)

		tmp = 1+ {exp {{v+40}/5}}
		tmp = {-1.5 - 1 / {tmp}}
		alpha = {exp {1e-3*{tmp}*{v - 11}*37.07}}
		beta  = {exp {0.00055*{tmp}*{v - 11}*37.07}}

		max = 1 / {1 + {alpha}}
		tau = {beta} / {0.05*5*{1 + {alpha}}}
                if (tau < 0.1)
                        tau = 0.1
                end

		setfield {T} X_A->table[{i}] {tau * 0.001} // in sec
		setfield {T} X_B->table[{i}] {max}
		v = v + dv
	end
	//
	tweaktau {T} X
	setfield {T} X_A->calc_mode 1 X_B->calc_mode 1


//
// h gate
//
	call {T} TABCREATE Y {tab_divs} {tab_min} {tab_max}
	v = {tab_min} - {offset}
	dv = ({tab_max} - {tab_min}) / {tab_divs}
	//
	for (i = 0; i <= ({tab_divs}); i = i + 1)

		alpha = {exp {0.003*{v+56}*37.07}}
		max = 1 / {1 + {alpha}}
		tau = 0.26*{v + 50}
                if (tau < 2)
                        tau = 2
                end
		
		setfield {T} Y_A->table[{i}] {tau * 0.001} // in sec
		setfield {T} Y_B->table[{i}] {max}

		v = v + dv
	end
	//
	tweaktau {T} Y
	setfield {T} Y_A->calc_mode 1 Y_B->calc_mode 1

	//
	addmsg {T} . CHANNEL Gk Ek
	addmsg . {T} VOLTAGE Vm

end
