// genesis

//
// Create somatic K channel formulated by Poirazi et al., 2003
// in Neuron
//
// Programmed by H Urakubo, 6/2005
//

float offset = 0.001 //in mV
float PI = 3.1415926
//
function make_DR_K_dend
//
	str T = "DR_K_dend"
	float Ek =  -90 // in mV

	float tab_divs = 400
	float tab_min = -100 //in mV
	float tab_max =  100 //in mV

	int i
	float v, dv, div
	float max, tau, alpha, beta

	create   tabchannel {T}
	setfield {T} Ek {Ek} Ik 0 Gk 0 Xpower 2 Ypower 0 Zpower 0
//

//
// n gate
//
	call {T} TABCREATE X {tab_divs} {tab_min} {tab_max}
	v = {tab_min} - {offset}
	dv = ({tab_max} - {tab_min}) / {tab_divs}
	//
	for (i = 0; i <= ({tab_divs}); i = i + 1)
		max = 1 / {1 + {exp {{v + 42}/-2}}}
		tau = 2.2
		setfield {T} X_A->table[{i}] {tau * 0.001} // in sec
		setfield {T} X_B->table[{i}] {max}
		v = v + dv
	end
	//
	tweaktau {T} X
	setfield {T} X_A->calc_mode 1 X_B->calc_mode 1
	//
	addmsg {T} . CHANNEL Gk Ek
	addmsg . {T} VOLTAGE Vm

end
