// genesis

//
// Create A-K channel formulated by
// Migliore et al., 1999
// in J Comput Neurosci 7 pp 5-15
//
// Programmed by H Urakubo, 5/2005
//

float offset = 0.001 //in mV
float PI = 3.1415926

function make_A_Kdist
//
        str T = "A_Kdist"
	float Ek =  -90 // in mV

	float tab_divs = 2000
	float tab_min = -100 //in mV
	float tab_max =  100  //in mV

	int i
	float v, dv, div, tmp
	float max, tau, alpha, beta
//
	create   tabchannel {T}
	setfield {T} Ek {Ek} Ik 0 Gk 0 Xpower 1 Ypower 1 Zpower 0
//

//
// n gate
//
	call {T} TABCREATE X {tab_divs} {tab_min} {tab_max}
	v = {tab_min} - {offset}
	dv = ({tab_max} - {tab_min}) / {tab_divs}
	//
	for (i = 0; i <= ({tab_divs}); i = i + 1)

		tmp = 1+ {exp {{v+40}/5}}
		alpha = -0.037776*{1.8 + 1/{tmp}}
		beta  = -0.014732*{1.8 + 1/{tmp}}
//		beta  = -0.038*{0.7 + 1/{tmp}}

		alpha = {exp {{alpha}*(v+1)}}
		beta  = {exp {{beta}*(v+1)}}

		max = 1 / {1 + {alpha}}
		tau = 2*{beta} / {1 + {alpha}}
                if (tau < 0.1)
                        tau = 0.1
                end

		setfield {T} X_A->table[{i}] {tau * 0.001} // in sec
		setfield {T} X_B->table[{i}] {max}

		v = v + dv
	end
	//
	tweaktau {T} X
	setfield {T} X_A->calc_mode 1 X_B->calc_mode 1


//
// l gate
//
	call {T} TABCREATE Y {tab_divs} {tab_min} {tab_max}
	v = {tab_min} - {offset}
	dv = ({tab_max} - {tab_min}) / {tab_divs}
	//
	for (i = 0; i <= ({tab_divs}); i = i + 1)

		alpha = {exp {0.113328*{v+56}}}

		max = 1 / {1 + {alpha}}
		tau = 0.26*{v + 50}
                if (tau < 2)
                        tau = 2
                end


		setfield {T} Y_A->table[{i}] {tau * 0.001} // in sec
		setfield {T} Y_B->table[{i}] {max}
		v = v + dv
	end
	//
	tweaktau {T} Y
	setfield {T} Y_A->calc_mode 1 Y_B->calc_mode 1
	//
	addmsg {T} . CHANNEL Gk Ek
	addmsg . {T} VOLTAGE Vm
// 

end
