/*

LVGCC
Revision 1  2004/9/3 H. Urakubo
Initial revision

phi = 2F/RT = 0.0756 /mV

*/

#include "LVGCC_ext.h"

LVGCC(channel,action)
register struct LVGCC_struct *channel;
Action 	*action;
{
MsgIn	*msg;
double dt, ddt, tmp, V, mm, hh;
int i, j;

    SELECT_ACTION(action){
    case PROCESS :
	MSGLOOP(channel,msg){
	    case 0:		/* membrane potential */
		V = MSGVALUE(msg,0);
		break;
	}

	//

        dt = Clockrate(channel);
        j = ceil(dt/(0.00001));
        ddt = dt/(double)(j);
	mm = channel->m;
	hh = channel->h;
        for (i = 0; i < j; i++){
	  tmp = 1/(1+exp(-(V+37)));
	  mm += ddt * (tmp - mm)/(3.6*0.001);
	  tmp = 1/(1+exp((V+41)*2));
	  hh += ddt * (tmp - hh)/(29*0.001);
	}
	channel->h = hh;
	channel->m = mm;
      	channel->Vdep = - V / (1-exp(0.0756*V)) * mm * mm * mm * hh;
	channel->Jca = channel->Vdep * channel->Pca;
	break;

    case RESET :
	channel->Jca = 0;
	channel->Vdep = 0;
	channel->h = 1;
        channel->m = 0;
	break;
    }
}
