//
//genesis
//

newclass	NMDARclass

/*
**********************************************************************
**                          OBJECT TABLE                            **
**********************************************************************
*/

//======================================================================
//	name		data_type	function	class		
//======================================================================


object  NMDAR_object NMDAR_struct NMDAR NMDARclass device \
        -author         "H.Urakubo Tokyo Univ 8/04" \
        -actions        PROCESS RESET \
        -readwrite	Pca "Normalization for Ca flux (pmol sec-1 mV-1)" 1 \
        -readwrite	Gmax "Maximum conductance (nS)" 1 \
        -readwrite	Ei "Reversal potential of NMDARs" 0 \
        -readonly	Jca "Ca2+ flux (pmol sec-1 mV-1)" \
        -readonly	Ji "Current" \
        -readonly	Vca "Voltage dependence" \
        -readonly	Vi  "Voltage dependence" \
\
        -readwrite Kfcam1  "(/uM /sec)" 400 \
        -readwrite Kfcam2  "(/uM /sec)" 400 \
        -readwrite Kfcam3  "(/uM /sec)" 4 \
        -readwrite Kfcam4  "(/uM /sec)" 3.458 \
        -readwrite Kfcam5  "(/uM /sec)" 1.994 \
        -readwrite Kbcam1  "(/sec)" 34.8 \
        -readwrite Kbcam2  "(/sec)" 34.8 \
        -readwrite Kbcam3  "(/sec)" 0.348 \
        -readwrite Kbcam4  "(/sec)" 0.891 \
        -readwrite Kbcam5  "(/sec)" 2.355 \
\
        -readwrite Kf1  "(/uM /sec)" 10 \
        -readwrite Kf2  "(/uM /sec)" 5 \
        -readwrite Kb1  "(/sec)" 25 \
        -readwrite Kb2  "(/sec)" 50 \
\
        -readwrite Kf5  "(/uM /sec)" 10 \
        -readwrite Kf6  "(/uM /sec)" 5 \
        -readwrite Kb5  "(/sec)" 25 \
        -readwrite Kb6  "(/sec)" 50 \
\
        -readwrite k_c2_c3 "NMDAR_2Ca2+CaM +Ca2 -> NMDAR_3Ca2+CaM (/uM /sec)" 7.2 \
        -readwrite k_c3_c2 "NMDAR_3Ca2+CaM -> NMDAR_2Ca2+CaM +Ca2 (/sec)" 720 \
\
        -readonly       Nt0   "Total N of NMDAR" \
        -readonly       Nt1   "Total N of NMDAR_2Ca2+CaM" \
        -readonly       Nt2   "Total N of NMDAR_3Ca2+CaM" \
        -readonly       Nopen "Total open state" \
\
        -readwrite      Glu  "Glu quantity (uM sec)" 0.12 \
        -readwrite      delay  "delay time" 0 \
        -readwrite      flag  "flag of input" 0 \
        -readonly       ttime "Trigger time (sec)" \
        -messages       VOLTAGE 0       1 Vm \
        -messages       CA      1       1 ca \
        -messages       CaM2Ca  2       1 c2 \
        -messages       CaM3Ca  3       1 c3

