/*
**
** Created by H.Urakubo Apr/06
**
*/

#include "Save_DATA_ext.h"

#define FLUSH 1201
#define OPEN  1202


/* sub routine */

OpenOutputFile2(output,mode)
struct Save_DATA_struct *output;
char    *mode;
{
char *filename;

    if(output->filename){
    filename = output->filename;
    } else {
    filename = output->name;
    }
    if(!output->is_open && (output->fp = fopen(filename,mode)) == NULL){
    Error();
    printf ("unable to open file %s with mode %s\n", 
    filename,mode);
    output->is_open = FALSE;
    return(0);
    } else {
    setvbuf(output->fp, NULL, _IOFBF, 10000000);
    output->is_open = TRUE;
    }

    return(output->is_open);
}


AscSetupFile2(output)
struct Save_DATA_struct *output;
{
float   fval;
int     i;
MsgIn   *msg;

    CloseOutputFile(output);

    if(OpenOutputFile2(output,"w")){

        fseek(output->fp, 0L, 0);
        ConditionalCloseOutputFile(output);

        output->initialize = FALSE;
    }
}

AscWriteOutput2(output)
struct Save_DATA_struct *output;
{
FILE *fp;
MsgIn   *msg;
float   fval;

    fp = output->fp;
    if(!output->notime){
        fprintf(fp,"%.10g ",simulation_time);
    }
    MSGLOOP(output,msg){
        case 0:
            fval = MsgValue(msg,float,0);
            fprintf(fp,"%.10g ",fval);
            break;
    }
    fprintf(fp,"\n");

    if(output->flush)
        fflush(fp);
}


/* main routine */

Save_DATA(output,action)
struct Save_DATA_struct *output;
Action		*action;
{
    int i;
  SELECT_ACTION(action){
    case RESET:
	/*
	** set the initialization flag
	*/
      	output->cnt = 0;
	output->counter = 0;
	if(!output->append){
	    output->initialize = TRUE;
	}
	break;

    case OPEN:
        
        output->cnt = 0;
	output->counter = 0;
        AscSetupFile2(output);
        break;

    case PROCESS:
	/*
	** has the file been initialized?
	*/
	if(output->initialize){
	    AscSetupFile2(output);
	}
	/*
	** open the file and append data to it
	*/
	if (output->cnt < output->counter * output->counter){
	  output->cnt ++;
	  break;
	}
	output->cnt = 0;
	output->counter += (output->counter < output->maxinterval);
	if(OpenOutputFile2(output,"a")){
	    AscWriteOutput2(output);
	    ConditionalCloseOutputFile(output);
	}
	break;
    case SAVE:
	CloseOutputFile(output);
	break;
    case FLUSH:
	if (output->is_open)
	    fflush(output->fp);
	break;
    default:
	InvalidAction("FileOutput",output,action);
	break;
    }
}
