////
//// Create AMPAR recycling
////

float kf_CaMKII, kf_PKA
float kf_PP_Stg, kf_PP_S845
float kf_CaN_Stg, kf_CaN_S845 
float kf_PP1_Stg, kf_PP1_S845
float kf_PP2A_Stg, kf_PP2A_S845

//
kf_CaMKII   = 1
kf_PP_Stg   = 100
kf_CaN_Stg  = 1
//
kf_PKA  = 20
kf_PP_S845  = 4
kf_CaN_S845 = 1.5
//
kf_PP1_Stg   = kf_PP_Stg
kf_PP1_S845  = kf_PP_S845
kf_PP2A_Stg   = kf_PP_Stg
kf_PP2A_S845  = kf_PP_S845
//

//
str EnzCtl, EnzPSD
//
str S845PStgPCyl = "/kinetics/AMPAR_cytosol/S845PStgP"
str StgPCyl      = "/kinetics/AMPAR_cytosol/StgP"
str S845PCyl     = "/kinetics/AMPAR_cytosol/S845P"
str NophosCyl    = "/kinetics/AMPAR_cytosol/Nophos"
//
str S845PStgPInt = "/kinetics/AMPAR_cytosol/S845PStgP_int"
str StgPInt      = "/kinetics/AMPAR_cytosol/StgP_int"
str S845PInt     = "/kinetics/AMPAR_cytosol/S845P_int"
str NophosInt    = "/kinetics/AMPAR_cytosol/Nophos_int"
//
str S845PStgPTrp = "/kinetics/AMPAR_PSD/S845PStgP_Trapped"
str StgPTrp      = "/kinetics/AMPAR_PSD/StgP_Trapped"
str S845PTrp     = "/kinetics/AMPAR_PSD/S845P_Trapped"
str NophosTrp    = "/kinetics/AMPAR_PSD/Nophos_Trapped"
//
str S845PStgPPSD = "/kinetics/AMPAR_PSD/S845PStgP"
str StgPPSD      = "/kinetics/AMPAR_PSD/StgP"
str S845PPSD     = "/kinetics/AMPAR_PSD/S845P"
str NophosPSD    = "/kinetics/AMPAR_PSD/Nophos"
//


////
////
//// simple_enz /Substrate /Enzyme /Product {kf}
////
////

//
// Phosphorylation of AMPAR-Stg by CaMKII
//
EnzPSD = "/kinetics/AMPAR_PSD/activeCaMKIIp"
EnzCtl = "/kinetics/AMPAR_cytosol/activeCaMKIIc"
//
simple_enz {NophosCyl} {EnzCtl} {StgPCyl} {kf_CaMKII}
simple_enz {S845PCyl}  {EnzCtl} {S845PStgPCyl} {kf_CaMKII}
simple_enz {NophosInt} {EnzCtl} {StgPInt} {kf_CaMKII}
simple_enz {S845PInt}  {EnzCtl} {S845PStgPInt} {kf_CaMKII}
simple_enz {NophosPSD} {EnzPSD} {StgPPSD} {kf_CaMKII}
simple_enz {S845PPSD}  {EnzPSD} {S845PStgPPSD} {kf_CaMKII}
simple_enz {NophosTrp} {EnzPSD} {StgPTrp} {kf_CaMKII}
simple_enz {S845PTrp}  {EnzPSD} {S845PStgPTrp} {kf_CaMKII}
//




//
// Phosphorylation of AMPAR-S845 by PKA
//
EnzPSD = "/kinetics/AMPAR_PSD/activePKAp"
EnzCtl = "/kinetics/AMPAR_cytosol/activePKAc"
//
simple_enz {NophosCyl} {EnzCtl} {S845PCyl} {kf_PKA}
simple_enz {StgPCyl}   {EnzCtl} {S845PStgPCyl} {kf_PKA}
simple_enz {NophosInt} {EnzCtl} {S845PInt} {kf_PKA}
simple_enz {StgPInt}   {EnzCtl} {S845PStgPInt} {kf_PKA}
simple_enz {NophosPSD} {EnzPSD} {S845PPSD} {kf_PKA}
simple_enz {StgPPSD}   {EnzPSD} {S845PStgPPSD} {kf_PKA}
simple_enz {NophosTrp} {EnzPSD} {S845PTrp} {kf_PKA}
simple_enz {StgPTrp}   {EnzPSD} {S845PStgPTrp} {kf_PKA}
//

//
// Dephosphorylation of AMPAR-Stg and AMPAR-S845 by PP1
//
EnzPSD = "/kinetics/AMPAR_PSD/activePP1p"
EnzCtl = "/kinetics/AMPAR_cytosol/activePP1c"
//
simple_enz {S845PCyl}     {EnzCtl} {NophosCyl} {kf_PP1_S845}
simple_enz {S845PStgPCyl} {EnzCtl} {StgPCyl} {kf_PP1_S845}
simple_enz {S845PInt}     {EnzCtl} {NophosInt} {kf_PP1_S845}
simple_enz {S845PStgPInt} {EnzCtl} {StgPInt} {kf_PP1_S845}
simple_enz {S845PPSD}     {EnzPSD} {NophosPSD} {kf_PP1_S845}
simple_enz {S845PStgPPSD} {EnzPSD} {StgPPSD} {kf_PP1_S845}
simple_enz {S845PTrp}     {EnzPSD} {NophosTrp} {kf_PP1_S845}
simple_enz {S845PStgPTrp} {EnzPSD} {StgPTrp} {kf_PP1_S845}
//
simple_enz {StgPCyl}      {EnzCtl} {NophosCyl} {kf_PP1_Stg}
simple_enz {S845PStgPCyl} {EnzCtl} {S845PCyl} {kf_PP1_Stg}
simple_enz {StgPInt}      {EnzCtl} {NophosInt} {kf_PP1_Stg}
simple_enz {S845PStgPInt} {EnzCtl} {S845PInt} {kf_PP1_Stg}
simple_enz {StgPPSD}      {EnzPSD} {NophosPSD} {kf_PP1_Stg}
simple_enz {S845PStgPPSD} {EnzPSD} {S845PPSD} {kf_PP1_Stg}
simple_enz {StgPTrp}      {EnzPSD} {NophosTrp} {kf_PP1_Stg}
simple_enz {S845PStgPTrp} {EnzPSD} {S845PTrp} {kf_PP1_Stg}
//

//
// Dephosphorylation of AMPAR-Stg and AMPAR-S845 by CaN
//
EnzPSD = "/kinetics/AMPAR_PSD/activeCaNp"
EnzCtl = "/kinetics/AMPAR_cytosol/activeCaNc"
//
simple_enz {S845PCyl}     {EnzCtl} {NophosCyl} {kf_CaN_S845}
simple_enz {S845PStgPCyl} {EnzCtl} {StgPCyl} {kf_CaN_S845}
simple_enz {S845PInt}     {EnzCtl} {NophosInt} {kf_CaN_S845}
simple_enz {S845PStgPInt} {EnzCtl} {StgPInt} {kf_CaN_S845}
simple_enz {S845PPSD}     {EnzPSD} {NophosPSD} {kf_CaN_S845}
simple_enz {S845PStgPPSD} {EnzPSD} {StgPPSD} {kf_CaN_S845}
simple_enz {S845PTrp}     {EnzPSD} {NophosTrp} {kf_CaN_S845}
simple_enz {S845PStgPTrp} {EnzPSD} {StgPTrp} {kf_CaN_S845}
//
simple_enz {StgPCyl}      {EnzCtl} {NophosCyl} {kf_CaN_Stg}
simple_enz {S845PStgPCyl} {EnzCtl} {S845PCyl} {kf_CaN_Stg}
simple_enz {StgPInt}      {EnzCtl} {NophosInt} {kf_CaN_Stg}
simple_enz {S845PStgPInt} {EnzCtl} {S845PInt} {kf_CaN_Stg}
simple_enz {StgPPSD}      {EnzPSD} {NophosPSD} {kf_CaN_Stg}
simple_enz {S845PStgPPSD} {EnzPSD} {S845PPSD} {kf_CaN_Stg}
simple_enz {StgPTrp}      {EnzPSD} {NophosTrp} {kf_CaN_Stg}
simple_enz {S845PStgPTrp} {EnzPSD} {S845PTrp} {kf_CaN_Stg}
//


//
// Dephosphorylation of AMPAR-Stg and AMPAR-S845 by PP2A
//
EnzPSD = "/kinetics/AMPAR_PSD/activePP2Ap"
EnzCtl = "/kinetics/AMPAR_cytosol/activePP2Ac"
//
simple_enz {S845PCyl}     {EnzCtl} {NophosCyl} {kf_PP2A_S845}
simple_enz {S845PStgPCyl} {EnzCtl} {StgPCyl} {kf_PP2A_S845}
simple_enz {S845PInt}     {EnzCtl} {NophosInt} {kf_PP2A_S845}
simple_enz {S845PStgPInt} {EnzCtl} {StgPInt} {kf_PP2A_S845}
//
simple_enz {StgPCyl}      {EnzCtl} {NophosCyl} {kf_PP2A_Stg}
simple_enz {S845PStgPCyl} {EnzCtl} {S845PCyl} {kf_PP2A_Stg}
simple_enz {StgPInt}      {EnzCtl} {NophosInt} {kf_PP2A_Stg}
simple_enz {S845PStgPInt} {EnzCtl} {S845PInt} {kf_PP2A_Stg}
//


//
// AMPAR diffusion between
// PSD and Cytosol
//

create neutral /connections2
int COMPARTMENT_INDEX2 = 1

function AMPAR_diffusion(target, kfb)
str target
float kfb
str CYT = "/kinetics/AMPAR_cytosol/"
str PSD = "/kinetics/AMPAR_PSD/"
str name1, name2, name3
//  From,  To,    Connector
//
    name1 = {strcat {CYT} {target}}
    name2 = {strcat {PSD} {target}}
    echo {name1}
//
    if (!{exists {name2}})
      echo {name2} " does not exist."
    else
      name3 = {strcat "/connections2/c" {COMPARTMENT_INDEX2}}
      create Asym_diff_object {name3}
      setfield {name3} kf {kfb}
      setfield {name3} kb {kfb}
      addmsg {name3} {name1} REAC A B 
      addmsg {name1} {name3} SUBSTRATE n vol
      addmsg {name3} {name2} REAC B A
      addmsg {name2} {name3} PRODUCT n vol
      COMPARTMENT_INDEX2 = COMPARTMENT_INDEX2 + 1
    end
//
end
//

//
AMPAR_diffusion S845PStgP {0.4/0.5/0.5}
AMPAR_diffusion StgP   {0.4/0.5/0.5}
AMPAR_diffusion S845P  {0.4/0.5/0.5}
AMPAR_diffusion Nophos {0.4/0.5/0.5}
//
