//
// After making Migliore CA1 cell
//

//
// This Ca_influx routine has distinct
// AMPAR and NMDAR current flux.
//

// AMPAR object is used for current injection


str TARGET = "/cell/dendrite[3]"

//
// Current injection to soma
//

create AMPAR_object /cell/curr
setfield /cell/curr Gmax 500 tau 0.0005 // 500 pA, 0.5 msec
setfield /cell/curr delay 0
addmsg /cell/curr /cell/soma INJECT G

//
// Current injection call_routine
//

function CURRENT_INJECTION
 setfield  /cell/curr flag 1
end

//
// AMPAR-EPSP
//

create AMPAR_object /cell/AMPAR_EPSP
setfield /cell/AMPAR_EPSP Esyn 0 Gmax 0.3 tau 0.003 // Gmax 1
setfield /cell/AMPAR_EPSP delay 0.005
addmsg {TARGET} /cell/AMPAR_EPSP VOLTAGE Vm
addmsg /cell/AMPAR_EPSP {TARGET} INJECT Isyn

//
// NMDAR-EPSP
//

create NMDAR_object /cell/NMDAR_EPSP
addmsg {TARGET} /cell/NMDAR_EPSP VOLTAGE Vm
setfield /cell/NMDAR_EPSP delay 0.005 Glu 0.4      //0.12
setfield /cell/NMDAR_EPSP Ei 0 Gmax 10             // 50
addmsg /kinetics/Ca_PSD/Ca      /cell/NMDAR_EPSP CA Co
addmsg /kinetics/CaM_PSD/CaMCa2 /cell/NMDAR_EPSP CaM2Ca Co
addmsg /kinetics/CaM_PSD/CaMCa3 /cell/NMDAR_EPSP CaM3Ca Co

addmsg /cell/NMDAR_EPSP {TARGET} INJECT Ji

//
// NMDAR-Ca2+ flux
//

create NMDAR_object /cell/NMDAR_Ca
addmsg {TARGET} /cell/NMDAR_Ca VOLTAGE Vm
setfield /cell/NMDAR_Ca delay 0.005 Glu 0.4    //0.12
setfield /cell/NMDAR_Ca Ei 0 Gmax 10           //50
addmsg /kinetics/Ca_PSD/Ca      /cell/NMDAR_Ca CA Co
addmsg /kinetics/CaM_PSD/CaMCa2 /cell/NMDAR_Ca CaM2Ca Co
addmsg /kinetics/CaM_PSD/CaMCa3 /cell/NMDAR_Ca CaM3Ca Co

addmsg /cell/NMDAR_Ca /kinetics/NMDARflux SLAVE Jca

setfield /kinetics/NMDARflux slave_enable 2
setfield /kinetics/NMDARflux oldmsgmode 1

//
// PRE_SPIKING call_routine
//

//
function PRE_SPIKING(intensity, prob)
float intensity
int prob

 setfield /cell/AMPAR_EPSP prob {intensity}
 setfield /cell/NMDAR_EPSP Glu  {0.4 * {intensity}} //0.12

 setfield  /cell/AMPAR_EPSP flag 1
 setfield  /cell/NMDAR_EPSP flag 1

 if (prob == 1)
 setfield  /cell/NMDAR_Ca flag 1
 end
end
//

//
// Ca2+ flux into spine through VGCCs
//

create LVGCC_object /cell/VGCC_PSD
addmsg {TARGET} /cell/VGCC_PSD VOLTAGE Vm
addmsg /cell/VGCC_PSD /kinetics/VGCCflux_PSD SLAVE Jca
setfield /kinetics/VGCCflux_PSD slave_enable 2
setfield /kinetics/VGCCflux_PSD oldmsgmode 1
//
create LVGCC_object /cell/VGCC_cytosol
addmsg {TARGET} /cell/VGCC_cytosol VOLTAGE Vm
addmsg /cell/VGCC_cytosol /kinetics/VGCCflux_cytosol SLAVE Jca
setfield /kinetics/VGCCflux_cytosol slave_enable 2
setfield /kinetics/VGCCflux_cytosol oldmsgmode 1


//
// Set Ca2+
//

// SVR
//
// PSD     2.793e5 /cm
// cytosol 1.015e5 /cm

float SVR_PSD = 1.7927e5
float SVR_ctl = 1.0426e5

setfield /cell/NMDAR_Ca Pca {SVR_PSD * 0.5}  // {SVR_PSD * 1.7}
setfield /cell/VGCC_PSD Pca {SVR_PSD * 0.04}
setfield /cell/VGCC_cytosol Pca {SVR_ctl * 0.04}
