//
// Simple enzymatic reaction for AMPAR
//

create neutral /SIMPLE_ENZ
int SIMPLENZ_INDEX = 1

////
////
////
function simple_enz(substrate, enzyme, product, kf)

 str substrate, enzyme, product
 float kf

 str name1  // From
 str name2  // To
 str name3  // Connector

 name1 = substrate
 name2 = product
 name3 = {strcat "/SIMPLE_ENZ/num" {SIMPLENZ_INDEX}}

 create SIMPLE_ENZ_REAC_object {name3}
 setfield {name3} kf {kf}
 
 addmsg {name3} {name1} REAC A B 
 addmsg {name1} {name3} SUBSTRATE n vol
 addmsg {name3} {name2} REAC B A
 addmsg {name2} {name3} PRODUCT n vol
 addmsg {enzyme} {name3} ENZYME  n vol

 SIMPLENZ_INDEX = SIMPLENZ_INDEX + 1

end
////
////
////


////
////
////
function simple_enz4(substrate, enzyme, product, kf, kd)

 str substrate, enzyme, product
 float kf, kd

 str name1  // From
 str name2  // To
 str name3  // Connector

 name1 = substrate
 name2 = product
 name3 = {strcat "/SIMPLE_ENZ/num" {SIMPLENZ_INDEX}}

 create SIMPLE_N_ORDER_ENZ_REAC_object {name3}
 setfield {name3} kf {kf}
 setfield {name3} kd {kd}
 
 addmsg {name3} {name1} REAC A B 
 addmsg {name1} {name3} SUBSTRATE n vol
 addmsg {name3} {name2} REAC B A
 addmsg {name2} {name3} PRODUCT n vol
 addmsg {enzyme} {name3} ENZYME  n vol

 SIMPLENZ_INDEX = SIMPLENZ_INDEX + 1

end
////
////
////


//
// Acceleration of AMPAR reaction and diffusion 
// to get stable steady states.
//

//
function ACCEL_EQU
//
float M = 100
str name
//
str c1 = "/kinetics/AMPAR_cytosol/IN"
str c2 = "/kinetics/AMPAR_cytosol/IN_OUT"
str c3 = "/kinetics/AMPAR_cytosol/IN[1]"
str c4 = "/kinetics/AMPAR_cytosol/IN_OUT[1]"
//
str c5 = "/kinetics/AMPAR_PSD/trap1"
str c6 = "/kinetics/AMPAR_PSD/trap2"
str c7 = "/kinetics/AMPAR_PSD/trap3"
str c8 = "/kinetics/AMPAR_PSD/trap4"
//
setfield {c1} kf {{getfield {c1} kf}*{M}}
setfield {c2} kf {{getfield {c2} kf}*{M}}
setfield {c3} kf {{getfield {c3} kf}*{M}}
setfield {c4} kf {{getfield {c4} kf}*{M}}
//
setfield {c1} kb {{getfield {c1} kb}*{M}}
setfield {c2} kb {{getfield {c2} kb}*{M}}
setfield {c3} kb {{getfield {c3} kb}*{M}}
setfield {c4} kb {{getfield {c4} kb}*{M}}
//
setfield {c5} kf {{getfield {c5} kf}*{M}}
setfield {c6} kf {{getfield {c6} kf}*{M}}
setfield {c7} kf {{getfield {c7} kf}*{M}}
setfield {c8} kf {{getfield {c8} kf}*{M}}
//
setfield {c5} kb {{getfield {c5} kb}*{M}}
setfield {c6} kb {{getfield {c6} kb}*{M}}
setfield {c7} kb {{getfield {c7} kb}*{M}}
setfield {c8} kb {{getfield {c8} kb}*{M}}
//
  foreach name({el /connections2/#[TYPE=Asym_diff_object]})
      setfield {name} kf {{getfield {name} kf}*{M}}
      setfield {name} kb {{getfield {name} kb}*{M}}
  end
  foreach name({el /SIMPLE_ENZ/#[]})
      setfield {name} kf {{getfield {name} kf}*{M}}
  end
//
end
//
//
function DEFF_EQU
//
float M = 100
str name
//
str c1 = "/kinetics/AMPAR_cytosol/IN"
str c2 = "/kinetics/AMPAR_cytosol/IN_OUT"
str c3 = "/kinetics/AMPAR_cytosol/IN[1]"
str c4 = "/kinetics/AMPAR_cytosol/IN_OUT[1]"
//
str c5 = "/kinetics/AMPAR_PSD/trap1"
str c6 = "/kinetics/AMPAR_PSD/trap2"
str c7 = "/kinetics/AMPAR_PSD/trap3"
str c8 = "/kinetics/AMPAR_PSD/trap4"
//
setfield {c1} kf {{getfield {c1} kf}/{M}}
setfield {c2} kf {{getfield {c2} kf}/{M}}
setfield {c3} kf {{getfield {c3} kf}/{M}}
setfield {c4} kf {{getfield {c4} kf}/{M}}
//
setfield {c1} kb {{getfield {c1} kb}/{M}}
setfield {c2} kb {{getfield {c2} kb}/{M}}
setfield {c3} kb {{getfield {c3} kb}/{M}}
setfield {c4} kb {{getfield {c4} kb}/{M}}
//
setfield {c5} kf {{getfield {c5} kf}/{M}}
setfield {c6} kf {{getfield {c6} kf}/{M}}
setfield {c7} kf {{getfield {c7} kf}/{M}}
setfield {c8} kf {{getfield {c8} kf}/{M}}
//
setfield {c5} kb {{getfield {c5} kb}/{M}}
setfield {c6} kb {{getfield {c6} kb}/{M}}
setfield {c7} kb {{getfield {c7} kb}/{M}}
setfield {c8} kb {{getfield {c8} kb}/{M}}
//
  foreach name({el /connections2/#[TYPE=Asym_diff_object]})
      setfield {name} kf {{getfield {name} kf}/{M}}
      setfield {name} kb {{getfield {name} kb}/{M}}
  end
  foreach name({el /SIMPLE_ENZ/#[]})
      setfield {name} kf {{getfield {name} kf}/{M}}
  end
//
//
end
//

