//
// Molecular diffusion between
// PSD and Cytosol compartments
//

create neutral /connections
int COMPARTMENT_INDEX = 1

function sym_diffusion(filename1, filename2, kfb)
str filename1
str filename2
float kfb

str suffix
str name1  // From
str name2  // To
str name3  // Connector

//
  foreach name1({el {filename1}/##[TYPE=kpool]})
    echo {name1}
    suffix = { substring {name1} {strlen {filename1}}}
    name2 = {strcat {filename2} {suffix}}
//
    if (!{exists {name2}})
      echo {name2} " does not exist."
    else
      name3 = {strcat "/connections/c" {COMPARTMENT_INDEX}}
      create Asym_diff_object {name3}
      setfield {name3} kf {kfb}
      setfield {name3} kb {kfb}
      addmsg {name3} {name1} REAC A B 
      addmsg {name1} {name3} SUBSTRATE n vol
      addmsg {name3} {name2} REAC B A
      addmsg {name2} {name3} PRODUCT n vol
      COMPARTMENT_INDEX = COMPARTMENT_INDEX + 1
    end
//
end
end
//

//
function asym_diffusion(filename1, filename2, kf, kb)
//
str filename1, filename2
float kf, kb
//
str suffix
str name1  // From
str name2  // To
str name3  // Connector
//
  foreach name1({el {filename1}/##[TYPE=kpool]})
    echo {name1}
    suffix = { substring {name1} {strlen {filename1}}}
    name2 = {strcat {filename2} {suffix}}
//
    if (!{exists {name2}})
      echo {name2} " does not exist."
    else
      name3 = {strcat "/connections/d" {COMPARTMENT_INDEX}}
      create Asym_diff_object {name3}
      setfield {name3} kf {kf}
      setfield {name3} kb {kb}
      addmsg {name3} {name1} REAC A B 
      addmsg {name1} {name3} SUBSTRATE n vol
      addmsg {name3} {name2} REAC B A
      addmsg {name2} {name3} PRODUCT n vol
      COMPARTMENT_INDEX = COMPARTMENT_INDEX + 1
    end
//
  end
end
//
sym_diffusion /kinetics/CaM_cytosol /kinetics/CaM_PSD {130/0.0225}
sym_diffusion /kinetics/Ca_cytosol /kinetics/Ca_PSD {600/0.0225}
sym_diffusion /kinetics/PKA_cytosol /kinetics/PKA_PSD {32/0.0225}
sym_diffusion /kinetics/cAMP_cytosol /kinetics/cAMP_PSD {500/0.0225}
sym_diffusion /kinetics/CaN_cytosol /kinetics/CaN_PSD {20/0.0225}
sym_diffusion /kinetics/I1_cytosol /kinetics/I1_PSD {35.9/0.0225}
sym_diffusion /kinetics/CaMKIIinact_cytosol /kinetics/CaMKIIinact_PSD \\
{6/0.0225}
//
asym_diffusion /kinetics/CaMKII_cytosol /kinetics/CaMKII_PSD \\
 {6/0.0225} {0.6/0.0225}
//
asym_diffusion /kinetics/PP1_cytosol /kinetics/PP1_PSD \\
 {31.4/0.0225} {5.23/0.0225}
//
